查询任务状态 (官方格式)
curl --request GET \
--url https://api.maxapi.ai/wan/api/v1/tasks/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.maxapi.ai/wan/api/v1/tasks/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.maxapi.ai/wan/api/v1/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/wan/api/v1/tasks/{task_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maxapi.ai/wan/api/v1/tasks/{task_id}")
.header("Authorization", "Bearer <token>")
.asString();{
"code": 0,
"message": "success",
"data": {
"task_id": "task_123456",
"platform": "wan",
"action": "text_to_video",
"status": "SUCCESS",
"submit_time": 1704067200,
"start_time": 1704067205,
"finish_time": 1704067300,
"progress": 100,
"data": {
"video_url": "https://example.com/video.mp4",
"prompt": "一只可爱的小猫在草地上玩耍",
"duration": 5,
"resolution": "720P"
}
}
}查询视频生成任务的状态和结果
GET
https://api.maxapi.ai
/
wan
/
api
/
v1
/
tasks
/
{task_id}
查询任务状态 (官方格式)
curl --request GET \
--url https://api.maxapi.ai/wan/api/v1/tasks/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.maxapi.ai/wan/api/v1/tasks/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.maxapi.ai/wan/api/v1/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/wan/api/v1/tasks/{task_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maxapi.ai/wan/api/v1/tasks/{task_id}")
.header("Authorization", "Bearer <token>")
.asString();{
"code": 0,
"message": "success",
"data": {
"task_id": "task_123456",
"platform": "wan",
"action": "text_to_video",
"status": "SUCCESS",
"submit_time": 1704067200,
"start_time": 1704067205,
"finish_time": 1704067300,
"progress": 100,
"data": {
"video_url": "https://example.com/video.mp4",
"prompt": "一只可爱的小猫在草地上玩耍",
"duration": 5,
"resolution": "720P"
}
}
}授权
使用 MiniMax API Key 进行认证
路径参数
任务ID
响应
200 - application/json
成功
响应码,0表示成功
响应消息
Hide child attributes
Hide child attributes
任务ID
平台名称
示例:
"wan"
任务类型
可用选项:
text_to_video, image_to_video, keyframe_to_video 任务状态
可用选项:
SUBMITTED, IN_PROGRESS, SUCCESS, FAILURE 失败原因(失败时返回)
提交时间(Unix时间戳)
开始时间(Unix时间戳)
完成时间(Unix时间戳)
进度(0-100)
必填范围:
0 <= x <= 100